Bug 101182 - Make Arabic work out of the box
Make Arabic work out of the box
Product: Red Hat Linux Beta
Classification: Retired
Component: fontconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
: 102601 (view as bug list)
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-07-29 16:58 EDT by Owen Taylor
Modified: 2007-04-18 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-27 15:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2003-07-29 16:58:59 EDT
A) We should add some of the fonts from fonts-arabic to the
   aliases in fonts.conf so that they are preferred over
   fonts that don't have have correct Arabic glyphs.

B) fontconfig doesn't think that the Kacst fonts cover
   English, which means that they don't work for fallbacks
   in a en_* locale. (Hard to fix.)
Comment 1 Mohamed Eldesoky 2003-08-14 11:17:40 EDT
Point (2) was introduced upon a suggestion from RedHat engineer ( I don't recall 
the name now). 
When we first introduced KACST fonts, they had problems with the english glyphs 
(license), so that it was suggested to remove all english glyphs, and we were told 
that it will fix the problem !!! 
Comment 2 Mohamed Eldesoky 2003-08-14 11:21:11 EDT
And I would like to refer to this bug too 
Comment 3 Owen Taylor 2003-08-14 13:01:11 EDT
I thnk it's right that the Arabic fonts don't have English glyphs.

The problem is just that fontconfig's selection algorithm is poor
in this area. I have some plans to work around that it in future
versions of Pango, but for now, getting Arabic to work properly
in an en locale is hard.

Comment 4 Owen Taylor 2003-08-18 13:00:00 EDT
*** Bug 102601 has been marked as a duplicate of this bug. ***
Comment 5 Sherif Abdelgawad 2003-08-20 10:15:00 EDT
How about keymaps, and proper switching to Arabic and English layout for Text
input ? 
Comment 6 Sherif Abdelgawad 2003-10-23 13:04:29 EDT
Owen .. Arabic supports looks good on Fedora B3 
Quick note though, when chosing arabic-egypt as 
the lang from the GUI login, it works fine though
the Main Menu (The Red Hat on the status bar) and
all the menus are on the left, which should be
on the right. 
Comment 7 Sherif Abdelgawad 2003-10-23 13:23:41 EDT
redhat-config-keyboard does not have arabic
Comment 8 Sherif Abdelgawad 2003-10-24 10:58:27 EDT
Checked the other bugs and it seems that RTL issue for the menues has been
solved before yet it is not included in Fedora Test 3 .. Also some of the menues
for GNOME is not updated for Arabic translation, although from gnome's i18n site
the arabic translation is 100% done. Can we update that ?
Comment 9 Owen Taylor 2004-09-03 16:37:12 EDT
Sherif - can you test FC3 test 2 for arabic and file separate bugs
about keyboard, menu, etc, issues? Using this bug for all arabic
related issues doesn't work out very well.

In fontconfig-2.2.3-2, I've added KacstQura to the sans,
sans-serif, and monospace aliases, which should provide decent
out-of-the-box rendering of Arabic.
(this package won't make test 2, you probably should upgrade to it
manually before testing)

It might make more sense to use KacstBook rather than than KacstQura
for the Serif alias, but I'm not very happy with its rendering
at small sizes. KacstQura doesn't render that well either - 
it is too dark. But it seems better to me.
Comment 10 Sherif Abdelgawad 2004-09-03 18:37:37 EDT
Owen .. I will test it out and provide the feedback. Thanks 
Comment 11 Sherif Abdelgawad 2004-09-10 23:21:52 EDT
Owen - I have tested , FC3 20040904 from rawhide. I installed it and
here is my comments (P.S. I was using VMWare due to lack of machine
available to test on):

* Anaconda - I was unable to see the GUI install, I guess VMWare issue.

   If I select Arabic installation on TEXT install , words still show
   LTR and letters are not connected, lack of keyboard maps I belive.

* X - I agree with you on the font selection, it looks fine and decent
rendering. I sent a note to the maintainer of the fonts to check your
note about the fonts to see if we can fix it.

* When trying to add Arabic mapping to the keyboard layout I got the
application crashes, and X next time restarts give me error of:

  Error activating XKB configuration.
  Probably internal X server problem.

  X server version data:
  The XFree86 Project, Inc

  If you report this situation as a bug, please include:
  - The result of xprop -root | grep XKB
  - The result of gconftool-2 -R     

I still did not go through all the know bugs to see if it has been all
fixed , but this is my first impression so far. 
Comment 12 Owen Taylor 2004-09-27 15:53:13 EDT
OK, I don't want this to be a generic "problems with Arabic" bug.
It sounds like the font situation is OK.

Note You need to log in before you can comment on or make changes to this bug.